/* Note to do */



* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}


body {
  display: flex;
  margin: 0;
  padding: 0;
  font-family: 'Montserrat', sans-serif;
}

h1 {
  font-size: 42px;
  font-weight: 500;
  line-height: 48px;
  margin: 10px 0;
  color: white;
}

img {
  width: 100%;
  height: auto;
}

.margin-bottom {
  margin-bottom: 12px;
 }

.hidden {
  display: none;
}


/******** Sparkle Animation ********/
.sparkle {
  width: 30px;
  position: absolute;
  transform: scale(1); 
  animation: blinking 0.6s ease  infinite;
  opacity: 1;
}

.sparkle-img {
  top: 10%;
  left: 20%;
}

.sparkle-img-2 {
  top: 70%;
  left: 10%;
}

.sparkle-img-3 {
  top: 50%;
  left: 20%;
  animation: blinking 0.6s ease  0.5s infinite;
}

.sparkle-img-4 {
  top: 20%;
  left: 90%;
}

.sparkle-img-5 {
  top: 10%;
  left: 40%;
  animation: blinking 0.6s ease 0.5s infinite;
}


@keyframes blinking {
   50% {
    transform: scale(0); 
    opacity: 0;
   }
}


.guess-img {
  width: 50px;
}

/******** Audio Button ********/
.audio-btn {
  position: absolute;
  z-index: 10;
  width: 124px;
  height: 48px;
  font-size: 14px;
  background-color: transparent;
}

.audio-btn .icon {
  color: #fff;
  position: absolute;
  padding: 10px;
  top: 0;
  left: 0%;
  width: 50%;
  height: 100%;
}

.slide .play{
  display: none;
}

.slide .muted {
  display: inline-block;
}



/******** Question Section ********/
.question-section {
  width: 30%;
  min-height: 100vh;
  background-color: rgb(255 194 252);
  display: flex;
  flex-direction: column;
  padding: 5vw;
  align-items: flex-start;
  box-sizing: border-box;
}

select {
  display: block;
  border: solid 2px transparent;
  outline: none;
  border-radius: 10px;
  font-size: 22px;
  font-family: 'Montserrat';
  color: #333;
  width: 100%;
  margin: 24px 0;
  padding: 10px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

select:hover {
  border: solid 2px rgb(94, 94, 255);
}

.guess-who-icon {
  width: 126px;
}

.minute, .second,
.guess-made-text {
  margin-top: 1.2rem;
  font-size: 18px;
}


/******** Game Board ********/
.board-wrapper {
  width: 90%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgb(94, 94, 255);
}

.game-board {
  max-width: 882px;
  display: flex;
  flex-wrap: wrap;
  align-content: center;
  justify-content: center;
  padding: 2.4rem;
  gap: 1.2rem
}

/****** CARD ******/
.card {
  width: 135px;
  height: 165px;
  overflow: hidden;
  background: #D9E3FF;
  border-radius: 4px;
  box-shadow: 5px 5px 5px rgba(51, 51, 65, 0.09);
  margin: 3px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  border: solid 10px #fff;
  transition: all 0.6s ease-in-out;
}

.card:hover {
  transform: translateY(-5%);

}

.card p {
  text-align: center;
  margin-top: 1rem;
  font-size: 16px;
  font-weight: 600;
  color: rgb(94, 94, 255);
}

.card .guess {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: white;
  text-align: center;
  height: inherit;
}

.card:hover {
  background-color:rgb(94, 94, 255);
  transition: all 0.4s ease;
}

.card:hover img,
.card:hover p {
  display: none;
}

/* The div with the guess class is only shown on hover */
.card:hover .guess {
  display: flex;
}

.guess span {
  font-size: 16px;
  line-height: 18px;
  font-weight: 600;
  margin-bottom: 8px;
  width: 90%;
}

/****** BUTTONS ******/
button {
  border: transparent;
  border-radius: 5px;
  font-size: 16px;
  font-family: 'Montserrat';
  font-weight: bold;
  padding: 17px 27px;
  cursor: pointer;
}

.small {
  padding: 8px 16px;
}

.outlined-button {
  background-color: transparent;
  color: #5e5eff;
  align-self: flex-end;
  border: solid 2px #5e5eff;
  transition: all 0.4s ease;
  padding: 10px 17px;
}

.filled-button,
.outlined-button:hover {
  background-color: rgb(94, 94, 255);
  color: white;
  transition: all 0.4s ease;
}

.filled-button:hover {
  background-color: white;
  border-color: white;
  color: rgb(94, 94, 255);
}

/****** Win Or Loose Section ******/
/****** Greeting Section ******/
.win-or-lose-wrapper,
.input-wrapper {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgb(94, 94, 255);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100vh;
  padding: 100px;
}

.greeting {
  font-size: 24px;
  font-weight: 600;
}

.character-img {
  width: 120px;
  margin-bottom: 12px;
  border-radius: 10px;
  background-color: #fff;
  border: solid 10px #fff;
}

.input-wrapper {
  display: flex;
  height: 100vh;
  width: 100vw;
  position: absolute;
  z-index: 2;
  background-color: rgb(94, 94, 255);
}

#name-input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: transparent;
  outline: none;
  padding: 10px 15px;
  border-radius: 10px;
}

.submit-btn {
  color: #fff;
  border-radius: 10px;
  padding: 10px 15px;
  background-color: rgb(94, 94, 255);

}


/* Win or Lose */
.win-or-lose,
.input-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 700px;
  text-align: center;
  background-color: rgb(248, 186, 243);
  padding: 64px;
  gap:12px;
  border-radius: 10px;
}

.guess-who-icon {
  margin-bottom: 5%;
}

.win-or-lose h1 {
  margin-bottom: 32px;
}

.secret-person-img {
  width: 120px;
  border: solid 10px #fff;
  border-radius: 10px;
  background: #fff;
}


@media (max-width: 820px) {
  body {
    flex-direction: column;
  }

  .question-section {
    width: 100%;
    min-height: 0;
  }
  button {
    padding: 8px 16px;
  }
  h1 {
    font-size: 24px;
    line-height: 30px;
  }

  .guess-who-icon {
    width: 51px;
  }

  .board-wrapper {
    width: 100%;
  }

  .game-board {
    width: 100%;
    max-width: 750px;
  }

  .card {
    width: 113px;
    position: relative;
  }

  .card .guess {
    display: flex;
    top: -25px;
    position: absolute;
    justify-content: flex-end;
  }

  .card .guess span {
    display: none;
  }

  .card .guess .filled-button {
    padding: 6px 11px;
    margin-bottom: 1px;
    background: white;
    color: rgb(94, 94, 255);
    border: none;
  }
}
